
Java Client - Task #4671

Story # 4654 (Closed): Independent review of d1_common_java

suggest updating the following versions:

2014-03-31 16:05 - Dave Vieglais

Status: In Progress Start date: 2014-03-31

Priority: Normal Due date:  

Assignee:  % Done: 30%

Category:  Estimated time: 0.00 hour

Target version: CLJ-2.0.0   

Story Points:    

Description

suggest updating the following versions:

[INFO] The following dependencies in Dependencies have newer versions:

[INFO]   commons-fileupload:commons-fileupload ................... 1.2.2 -> 1.3

[INFO]   commons-io:commons-io ................................... 2.0.1 -> 2.4

[INFO]   joda-time:joda-time ....................................... 2.1 -> 2.3

[INFO]   junit:junit ............................................ 4.8.2 -> 4.11

[INFO]   org.apache.httpcomponents:httpclient ............... (,4.1.3] -> 4.3.3

[INFO]   org.apache.httpcomponents:httpmime ................. (,4.1.3] -> 4.3.3

Related issues:

Related to Infrastructure - Story #3058: upgrade HTTPComponents from 4.1.3 to... Closed 2012-07-09 2014-12-15

Related to Java Client - Story #6512: d1_common_java 2.0.0 release Closed 2014-10-06 2014-10-06

Related to Java Client - Story #6509: libclient_java 2.0 Release Closed 2014-10-06

History

#1 - 2014-10-01 20:43 - Dave Vieglais

- Target version set to Release Backlog

#2 - 2014-10-06 20:15 - Rob Nahf

Regarding HttpClient and component versions, it's a rough transition from 4.1 to 4.3, due to the change in connection manager code introduced in

v4.2, and the deprecation of related classes for 4.3.  We are making d1_libclient_java compatible with v4.2 to maintain backwards compatibility, and

introduce 4.3 in libclient_java 2.0.  Clients can likely use httpClient v4.3 classes in libclient_java 1.3+, but it is untested by DataONE, and libclient_java

v2.0 is recommended instead.

#3 - 2014-10-20 20:45 - Rob Nahf

- Status changed from New to In Progress

updating v1.3.x branch to use httpcomponents  httpcore 4.2.5 ; httpmime 4.2.6; httpclient 4.2.6

updating libclient_java trunk to v4.3.x
